## lxqt-panel 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
project(lxqt-panel)

option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
option(PULL_TRANSLATIONS "Pull translations" ON)
option(WITH_SCREENSAVER_FALLBACK "Include support for converting the deprecated 'screensaver' plugin to 'quicklaunch'. This requires the lxqt-leave (lxqt-session) to be installed in runtime." ON)
# plugin-mainmenu
option(USE_MENU_CACHE "Use menu-cached (no noticable penalty even on a 2004 single core pentium if not used)" OFF)


# additional cmake files
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

include(CheckCXXCompilerFlag)
CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
else()
    message(FATAL "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. C++11 support is required")
endif()

macro(setByDefault VAR_NAME VAR_VALUE)
  if(NOT DEFINED ${VAR_NAME})
    set (${VAR_NAME} ${VAR_VALUE})
  endif(NOT DEFINED ${VAR_NAME})
endmacro()

# use gcc visibility feature to decrease unnecessary exported symbols
if (CMAKE_COMPILER_IS_GNUCXX)
  # set visibility to hidden to hide symbols, unlesss they're exporeted manually in the code
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden -fno-exceptions")
  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,-no-undefined")
endif()

#########################################################################

add_definitions (-Wall)
include(GNUInstallDirs)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

set(REQUIRED_QT_VERSION "5.7.1")

find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED)
find_package(KF5WindowSystem REQUIRED)

find_package(lxqt REQUIRED)
find_package(lxqt-globalkeys REQUIRED)
find_package(lxqt-globalkeys-ui REQUIRED)

# Patch Version
set(LXQT_PANEL_PATCH_VERSION 0)

set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")

include(LXQtPreventInSourceBuilds)
include(LXQtTranslate)

# Warning: This must be before add_subdirectory(panel). Move with caution.
set(PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/lxqt-panel")
add_definitions(
    -DPLUGIN_DIR=\"${PLUGIN_DIR}\"
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_FOREACH
)
message(STATUS "Panel plugins location: ${PLUGIN_DIR}")

#########################################################################

# Plugin system
# You can enable/disable building of the plugin using cmake options.
#    cmake -DCLOCK_PLUGIN=Yes .. # Enable clock plugin
#    cmake -DCLOCK_PLUGIN=No ..  # Disable clock plugin

include("cmake/BuildPlugin.cmake")

set(ENABLED_PLUGINS) # list of enabled plugins
set(STATIC_PLUGINS) # list of statically linked plugins

setByDefault(CLOCK_PLUGIN Yes)
if(CLOCK_PLUGIN)
    list(APPEND STATIC_PLUGINS "clock")
    add_definitions(-DWITH_CLOCK_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Clock")
    add_subdirectory(plugin-clock)
endif()

setByDefault(COLORPICKER_PLUGIN Yes)
if(COLORPICKER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Color Picker")
    add_subdirectory(plugin-colorpicker)
endif()

setByDefault(CPULOAD_PLUGIN Yes)
if(CPULOAD_PLUGIN)
    find_library(STATGRAB_LIB statgrab)

    if(NOT STATGRAB_LIB)
        message(FATAL_ERROR "CPU Load plugin requires libstatgrab")
    endif()
    list(APPEND ENABLED_PLUGINS "Cpu Load")
    add_subdirectory(plugin-cpuload)
endif()

setByDefault(DIRECTORYMENU_PLUGIN Yes)
if(DIRECTORYMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Directory menu")
    add_subdirectory(plugin-directorymenu)
endif()

setByDefault(DOM_PLUGIN No)
if(DOM_PLUGIN)
    list(APPEND ENABLED_PLUGINS "DOM")
    add_subdirectory(plugin-dom)
endif(DOM_PLUGIN)

setByDefault(DESKTOPSWITCH_PLUGIN Yes)
if(DESKTOPSWITCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "desktopswitch")
    add_definitions(-DWITH_DESKTOPSWITCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Desktop Switcher")
    add_subdirectory(plugin-desktopswitch)
endif()

setByDefault(KBINDICATOR_PLUGIN Yes)
if(KBINDICATOR_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Keyboard Indicator")
    add_subdirectory(plugin-kbindicator)
endif(KBINDICATOR_PLUGIN)

setByDefault(MAINMENU_PLUGIN Yes)
if(MAINMENU_PLUGIN)
    list(APPEND STATIC_PLUGINS "mainmenu")
    add_definitions(-DWITH_MAINMENU_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Application menu")
    add_subdirectory(plugin-mainmenu)
endif()

setByDefault(MOUNT_PLUGIN Yes)
if(MOUNT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Mount")
    add_subdirectory(plugin-mount)
endif(MOUNT_PLUGIN)

setByDefault(QUICKLAUNCH_PLUGIN Yes)
if(QUICKLAUNCH_PLUGIN)
    list(APPEND STATIC_PLUGINS "quicklaunch")
    add_definitions(-DWITH_QUICKLAUNCH_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Quicklaunch")
    add_subdirectory(plugin-quicklaunch)
endif()

setByDefault(SENSORS_PLUGIN Yes)
if(SENSORS_PLUGIN)
    find_library(SENSORS_LIB sensors)

    if(NOT SENSORS_LIB)
        message(FATAL_ERROR "Sensors plugin requires lm_sensors")
    endif()
    list(APPEND ENABLED_PLUGINS "Sensors")
    add_subdirectory(plugin-sensors)
endif()

setByDefault(SHOWDESKTOP_PLUGIN Yes)
if(SHOWDESKTOP_PLUGIN)
    list(APPEND STATIC_PLUGINS "showdesktop")
    add_definitions(-DWITH_SHOWDESKTOP_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Show Desktop")
    add_subdirectory(plugin-showdesktop)
endif()

setByDefault(NETWORKMONITOR_PLUGIN Yes)
if(NETWORKMONITOR_PLUGIN)
    find_library(STATGRAB_LIB statgrab)

    if(NOT STATGRAB_LIB)
        message(FATAL_ERROR "Network Monitor plugin requires libstatgrab")
    endif()
    list(APPEND ENABLED_PLUGINS "Network Monitor")
    add_subdirectory(plugin-networkmonitor)
endif()

setByDefault(SYSSTAT_PLUGIN Yes)
if(SYSSTAT_PLUGIN)
    list(APPEND ENABLED_PLUGINS "System Stats")
    add_subdirectory(plugin-sysstat)
endif(SYSSTAT_PLUGIN)

setByDefault(TASKBAR_PLUGIN Yes)
if(TASKBAR_PLUGIN)
  list(APPEND STATIC_PLUGINS "taskbar")
  add_definitions(-DWITH_TASKBAR_PLUGIN)
  list(APPEND ENABLED_PLUGINS "Taskbar")
  add_subdirectory(plugin-taskbar)
endif()

setByDefault(STATUSNOTIFIER_PLUGIN Yes)
if(STATUSNOTIFIER_PLUGIN)
    list(APPEND STATIC_PLUGINS "statusnotifier")
    add_definitions(-DWITH_STATUSNOTIFIER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Status Notifier")
    add_subdirectory(plugin-statusnotifier)
endif()

setByDefault(TRAY_PLUGIN Yes)
if(TRAY_PLUGIN)
    list(APPEND STATIC_PLUGINS "tray")
    add_definitions(-DWITH_TRAY_PLUGIN)
    list(APPEND ENABLED_PLUGINS "System Tray")
    add_subdirectory(plugin-tray)
endif()

setByDefault(VOLUME_PLUGIN Yes)
setByDefault(VOLUME_USE_PULSEAUDIO Yes)
setByDefault(VOLUME_USE_ALSA Yes)
if(VOLUME_PLUGIN)
    if (VOLUME_USE_PULSEAUDIO)
        find_package(PulseAudio)
        if (NOT PULSEAUDIO_FOUND)
            message(FATAL_ERROR "PulseAudio not found, but required (VOLUME_USE_PULSEAUDIO) for Volume plugin!")
        endif ()
    endif(VOLUME_USE_PULSEAUDIO)

    if(VOLUME_USE_ALSA)
        find_package(ALSA)
        if (NOT ALSA_FOUND)
            message(FATAL_ERROR "ALSA not found, but required (VOLUME_USE_ALSA) for Volume plugin!")
        endif ()
    endif()

    list(APPEND ENABLED_PLUGINS   "Volume")
    message(STATUS "")
    message(STATUS "Volume plugin will be built")
    message(STATUS "    ALSA: ${ALSA_FOUND}")
    message(STATUS "    PulseAudio: ${PULSEAUDIO_FOUND}")
    message(STATUS "")
    add_subdirectory(plugin-volume)
endif()

setByDefault(WORLDCLOCK_PLUGIN Yes)
if(WORLDCLOCK_PLUGIN)
    list(APPEND STATIC_PLUGINS "worldclock")
    add_definitions(-DWITH_WORLDCLOCK_PLUGIN)
    list(APPEND ENABLED_PLUGINS "World Clock")
    add_subdirectory(plugin-worldclock)
endif(WORLDCLOCK_PLUGIN)

setByDefault(SPACER_PLUGIN Yes)
if(SPACER_PLUGIN)
    list(APPEND STATIC_PLUGINS "spacer")
    add_definitions(-DWITH_SPACER_PLUGIN)
    list(APPEND ENABLED_PLUGINS "Spacer")
    add_subdirectory(plugin-spacer)
endif()

#########################################################################

message(STATUS  "**************** The following plugins will be built ****************")
foreach (PLUGIN_STR ${ENABLED_PLUGINS})
    message(STATUS "  ${PLUGIN_STR}")
endforeach()
message(STATUS "*********************************************************************")

add_subdirectory(panel)

# merged from lxqt-common
add_subdirectory(autostart)
add_subdirectory(menu)

=== panel/CMakeLists.txt ===
set(PROJECT lxqt-panel)

set(PRIV_HEADERS
    panelpluginsmodel.h
    windownotifier.h
    lxqtpanel.h
    lxqtpanelapplication.h
    lxqtpanelapplication_p.h
    lxqtpanellayout.h
    plugin.h
    pluginsettings_p.h
    lxqtpanellimits.h
    popupmenu.h
    pluginmoveprocessor.h
    lxqtpanelpluginconfigdialog.h
    config/configpaneldialog.h
    config/configpanelwidget.h
    config/configpluginswidget.h
    config/addplugindialog.h
)

# using LXQt namespace in the public headers.
set(PUB_HEADERS
    lxqtpanelglobals.h
    pluginsettings.h
    ilxqtpanelplugin.h
    ilxqtpanel.h
)

set(SOURCES
    main.cpp
    panelpluginsmodel.cpp
    windownotifier.cpp
    lxqtpanel.cpp
    lxqtpanelapplication.cpp
    lxqtpanellayout.cpp
    plugin.cpp
    pluginsettings.cpp
    popupmenu.cpp
    pluginmoveprocessor.cpp
    lxqtpanelpluginconfigdialog.cpp
    config/configpaneldialog.cpp
    config/configpanelwidget.cpp
    config/configpluginswidget.cpp
    config/addplugindialog.cpp
)

set(UI
    config/configpanelwidget.ui
    config/configpluginswidget.ui
    config/addplugindialog.ui
)

set(LIBRARIES
    lxqt
)

file(GLOB CONFIG_FILES resources/*.conf)

############################################

add_definitions(-DCOMPILE_LXQT_PANEL)

set(PLUGIN_DESKTOPS_DIR "${CMAKE_INSTALL_FULL_DATAROOTDIR}/lxqt/${PROJECT}")
add_definitions(-DPLUGIN_DESKTOPS_DIR=\"${PLUGIN_DESKTOPS_DIR}\")

if (WITH_SCREENSAVER_FALLBACK)
    message(STATUS "Building with conversion of deprecated 'screensaver' plugin")
    add_definitions(-DWITH_SCREENSAVER_FALLBACK "-DLXQT_LOCK_DESKTOP=\"${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications/lxqt-lockscreen.desktop\"")
endif ()

project(${PROJECT})

set(QTX_LIBRARIES Qt5::Widgets Qt5::Xml Qt5::DBus)

# Translations
lxqt_translate_ts(QM_FILES SOURCES
    UPDATE_TRANSLATIONS
        ${UPDATE_TRANSLATIONS}
    SOURCES
        ${PUB_HEADERS}
        ${PRIV_HEADERS}
        ${SOURCES}
        ${UI}
    INSTALL_DIR
        "${LXQT_TRANSLATIONS_DIR}/${PROJECT_NAME}"
    PULL_TRANSLATIONS
        ${PULL_TRANSLATIONS}
    CLEAN_TRANSLATIONS
        ${CLEAN_TRANSLATIONS}
    TRANSLATIONS_REPO
        ${TRANSLATIONS_REPO}
    TRANSLATIONS_REFSPEC
        ${TRANSLATIONS_REFSPEC}
    REPO_SUBDIR
        "${PROJECT_NAME}/panel"
)

lxqt_app_translation_loader(SOURCES ${PROJECT_NAME})

add_executable(${PROJECT}
    ${PUB_HEADERS}
    ${PRIV_HEADERS}
    ${QM_FILES}
    ${SOURCES}
    ${UI}
)

target_link_libraries(${PROJECT}
    ${LIBRARIES}
    ${QTX_LIBRARIES}
    KF5::WindowSystem
    ${STATIC_PLUGINS}
)

install(TARGETS ${PROJECT} RUNTIME DESTINATION bin)
install(FILES ${CONFIG_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/lxqt)
install(FILES ${PUB_HEADERS} DESTINATION include/lxqt)
install(FILES
    man/lxqt-panel.1
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
    COMPONENT Runtime
)

=== plugin-kbindicator/CMakeLists.txt ===
set(PLUGIN "kbindicator")

# FindXKBCommon uses ecm_find_package_version_check() that needs it.
cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)

set(HEADERS
    src/kbdstate.h
    src/settings.h
    src/content.h
    src/kbdlayout.h
    src/kbdinfo.h
    src/kbdkeeper.h
    src/kbdwatcher.h
    src/controls.h
    src/kbdstateconfig.h
)

set(SOURCES
    kbindicator-plugin.cpp
    src/kbdstate.cpp
    src/settings.cpp
    src/content.cpp
    src/kbdkeeper.cpp
    src/kbdwatcher.cpp
    src/kbdstateconfig.cpp
)

set(UIS
    src/kbdstateconfig.ui
)

set(LIBRARIES
)

find_package(XCB REQUIRED COMPONENTS xcb xcb-xkb)
find_package(XKBCommon REQUIRED COMPONENTS XKBCommon X11)
find_package(Qt5 REQUIRED COMPONENTS X11Extras Xml)

include_directories(${XCB_INCLUDE_DIRS})

set(HEADERS
    ${HEADERS}
    src/x11/kbdlayout.h
)

set(SOURCES
    ${SOURCES}
    src/x11/kbdlayout.cpp
)

set(LIBRARIES
    ${LIBRARIES}
    ${XCB_LIBRARIES}
    XKBCommon::XKBCommon
    XKBCommon::X11
    Qt5::Xml
)

add_definitions(-DX11_ENABLED)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (0.13.0-1~mx17+2) mx; urgency=medium

  * Version lilxqt* dependencies

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Mon, 15 Apr 2019 14:33:05 -0400

lxqt-panel (0.13.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 15:44:07 -0700

lxqt-panel (0.13.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.13.0.
  * Bumped build dependencies
    - liblxqt0-dev to >= 0.13.0~
    - liblxqt0-dev to >= 0.13.0~
    - liblxqt-globalkeys0-dev to >= 0.13.0~
    - liblxqt-globalkeys-ui0-dev to >= 0.13.0~
    - libsysstat-qt5-0-dev to >= 0.4.1~
  * Removed build dependency libglib2.0-dev, thrown in via lxqt-build-tools
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Fri, 25 May 2018 00:08:49 +0200

lxqt-panel (0.12.0-10) unstable; urgency=medium

  * Changed Source and watch for lxqt

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 15:17:35 +0200

lxqt-panel (0.12.0-9) unstable; urgency=medium

  * Ported back USE_MENU_CACHE handling
  * Removed build dependency on libmenu-cache-dev (Closes: #896512)
  * Ported back USE_MENU_CACHE handling
  * Moved lxqt-about from dependencies to recommends (Closes: #894640)
  * Bumped debhelper version to 11~
  * Bumped compat to 11
  * Bumped Standards to 4.1.4, no changes needed
  * Fixed VCS fields for salsa
  * Removed trailing whitespaces

 -- Alf Gaida <agaida@siduction.org>  Mon, 23 Apr 2018 19:47:29 +0200

=== debian/control ===
Source: lxqt-panel
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper (>= 11~),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libicu-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               liblxqt0-dev (>= 0.13.0~),
               liblxqt-globalkeys0-dev (>= 0.13.0~),
               liblxqt-globalkeys-ui0-dev (>= 0.13.0~),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.1~),
               libx11-dev,
               libxcomposite-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: lxmenu-data,
         lxqt-policykit,
         liblxqt0 (>= 0.13.0~),
         liblxqt-globalkeys0 (>= 0.13.0~),
         liblxqt-globalkeys-ui0 (>= 0.13.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

export LC_ALL=C.UTF-8
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

WHICH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

ifeq ($(WHICH_OS), kfreebsd)
    NOT_LINUX := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO
endif

ifeq ($(WHICH_OS), hurd)
    NOT_LINUX := -DCPULOAD_PLUGIN=NO -DNETWORKMONITOR_PLUGIN=NO -DVOLUME_PLUGIN=NO -DSENSORS_PLUGIN=NO
endif

%:
	dh ${@} --buildsystem cmake

override_dh_auto_configure:
	dh_auto_configure --\
		-DPULL_TRANSLATIONS=OFF \
		-DUPDATE_TRANSLATIONS=OFF \
		-DDOM_PLUGIN=YES \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(NOT_LINUX)

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## lxqt-panel 0.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,12 @@
-cmake_minimum_required(VERSION 3.0.2 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.1.0 FATAL_ERROR)
+# CMP0000: Call the cmake_minimum_required() command at the beginning of the top-level
+# CMakeLists.txt file even before calling the project() command.
+# The cmake_minimum_required(VERSION) command implicitly invokes the cmake_policy(VERSION)
+# command to specify that the current project code is written for the given range of CMake
+# versions.
 project(lxqt-panel)
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
-option(PULL_TRANSLATIONS "Pull translations" ON)
 option(WITH_SCREENSAVER_FALLBACK "Include support for converting the deprecated 'screensaver' plugin to 'quicklaunch'. This requires the lxqt-leave (lxqt-session) to be installed in runtime." ON)
 # plugin-mainmenu
 option(USE_MENU_CACHE "Use menu-cached (no noticable penalty even on a 2004 single core pentium if not used)" OFF)
@@ -10,21 +14,6 @@
 
 # additional cmake files
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-
-if(NOT CMAKE_BUILD_TYPE)
-    set(CMAKE_BUILD_TYPE Release)
-endif()
-
-include(CheckCXXCompilerFlag)
-CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
-CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
-if(COMPILER_SUPPORTS_CXX11)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-elseif(COMPILER_SUPPORTS_CXX0X)
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
-else()
-    message(FATAL "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. C++11 support is required")
-endif()
 
 macro(setByDefault VAR_NAME VAR_VALUE)
   if(NOT DEFINED ${VAR_NAME})
@@ -32,16 +21,6 @@
   endif(NOT DEFINED ${VAR_NAME})
 endmacro()
 
-# use gcc visibility feature to decrease unnecessary exported symbols
-if (CMAKE_COMPILER_IS_GNUCXX)
-  # set visibility to hidden to hide symbols, unlesss they're exporeted manually in the code
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -fvisibility-inlines-hidden -fno-exceptions")
-  # set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wl,-no-undefined")
-endif()
-
-#########################################################################
-
-add_definitions (-Wall)
 include(GNUInstallDirs)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -51,55 +30,55 @@
 set(CMAKE_AUTORCC ON)
 
 set(REQUIRED_QT_VERSION "5.7.1")
-
-find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED)
+set(KF5_MINIMUM_VERSION "5.36.0")
+set(LXQT_MINIMUM_VERSION "0.14.0")
+
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
+find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED)
+find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
-find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} REQUIRED)
-find_package(KF5WindowSystem REQUIRED)
-
-find_package(lxqt REQUIRED)
-find_package(lxqt-globalkeys REQUIRED)
-find_package(lxqt-globalkeys-ui REQUIRED)
+find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt-globalkeys ${LXQT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt-globalkeys-ui ${LXQT_MINIMUM_VERSION} REQUIRED)
 
 # Patch Version
 set(LXQT_PANEL_PATCH_VERSION 0)
-
 set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
 add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")
 
 include(LXQtPreventInSourceBuilds)
 include(LXQtTranslate)
+
+# All LXQtCompilerSettings except CMAKE_MODULE_LINKER_FLAGS work just fine
+# So we reset only these Flags after loading LXQtCompilerSettings
+# lxqt-build-tools:
+#  set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined ${SYMBOLIC_FLAGS} ${CMAKE_MODULE_LINKER_FLAGS}")
+message(STATUS "==OLD== CMAKE_MODULE_LINKER_FLAGS: ${CMAKE_MODULE_LINKER_FLAGS}")
+set( OLD_CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS}")
+include(LXQtCompilerSettings NO_POLICY_SCOPE)
+set(CMAKE_MODULE_LINKER_FLAGS "${OLD_CMAKE_MODULE_LINKER_FLAGS} ${SYMBOLIC_FLAGS}")
 
 # Warning: This must be before add_subdirectory(panel). Move with caution.
 set(PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/lxqt-panel")
 add_definitions(
     -DPLUGIN_DIR=\"${PLUGIN_DIR}\"
-    -DQT_USE_QSTRINGBUILDER
-    -DQT_NO_FOREACH
 )
+
+message(STATUS "CMAKE Module linker flags: ${CMAKE_MODULE_LINKER_FLAGS}")
 message(STATUS "Panel plugins location: ${PLUGIN_DIR}")
 
 #########################################################################
-
 # Plugin system
 # You can enable/disable building of the plugin using cmake options.
-#    cmake -DCLOCK_PLUGIN=Yes .. # Enable clock plugin
-#    cmake -DCLOCK_PLUGIN=No ..  # Disable clock plugin
+#    cmake -DWORLDCLOCK_PLUGIN=Yes .. # Enable worldclock plugin
+#    cmake -DWORLDCLOCK_PLUGIN=No ..  # Disable worldclock plugin
 
 include("cmake/BuildPlugin.cmake")
 
 set(ENABLED_PLUGINS) # list of enabled plugins
 set(STATIC_PLUGINS) # list of statically linked plugins
-
-setByDefault(CLOCK_PLUGIN Yes)
-if(CLOCK_PLUGIN)
-    list(APPEND STATIC_PLUGINS "clock")
-    add_definitions(-DWITH_CLOCK_PLUGIN)
-    list(APPEND ENABLED_PLUGINS "Clock")
-    add_subdirectory(plugin-clock)
-endif()
 
 setByDefault(COLORPICKER_PLUGIN Yes)
 if(COLORPICKER_PLUGIN)

=== debian/changelog ===
lxqt-panel (0.14.0-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.0.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.0~)
    - liblxqt-globalkeys0-dev (>= 0.14.0~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.0~)
    - libsysstat-qt5-0-dev (>= 0.4.2~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 23:13:10 +0100

lxqt-panel (0.13.0-2) unstable; urgency=medium

  * Build dependency libsensors4-dev -> libsensors-dev (Closes: #917440)
  * Bumped Standards to 4.2.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 29 Dec 2018 13:03:56 +0100

=== debian/control ===
Source: lxqt-panel
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libicu-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               liblxqt0-dev (>= 0.14.0~),
               liblxqt-globalkeys0-dev (>= 0.14.0~),
               liblxqt-globalkeys-ui0-dev (>= 0.14.0~),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.2~),
               libx11-dev,
               libxcomposite-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data,
         lxqt-policykit
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-panel (<< 0.11.0)
Replaces: lxqt-panel (<< 0.11.0)
Description: Language package for lxqt-panel
 This package contains the l10n files needed by the lxqt-panel.

## lxqt-panel 0.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,7 @@
 
 set(REQUIRED_QT_VERSION "5.7.1")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.14.0")
+set(LXQT_MINIMUM_VERSION "0.14.1")
 
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
@@ -44,7 +44,7 @@
 find_package(lxqt-globalkeys-ui ${LXQT_MINIMUM_VERSION} REQUIRED)
 
 # Patch Version
-set(LXQT_PANEL_PATCH_VERSION 0)
+set(LXQT_PANEL_PATCH_VERSION 1)
 set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
 add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")

=== plugin-mount/CMakeLists.txt ===
set(PLUGIN "mount")

set(HEADERS
    lxqtmountplugin.h
    configuration.h
    button.h
    menudiskitem.h
    popup.h
    actions/deviceaction.h
    actions/deviceaction_info.h
    actions/deviceaction_menu.h
    actions/deviceaction_nothing.h
)

set(SOURCES
    lxqtmountplugin.cpp
    configuration.cpp
    button.cpp
    menudiskitem.cpp
    popup.cpp
    actions/deviceaction.cpp
    actions/deviceaction_info.cpp
    actions/deviceaction_menu.cpp
    actions/deviceaction_nothing.cpp
)

set(UIS
    configuration.ui
)

find_package(KF5Solid ${QT_MINIMUM_VERSION} REQUIRED)
set(LIBRARIES Qt5Xdg KF5::Solid)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-statusnotifier/CMakeLists.txt ===
set(PLUGIN "statusnotifier")


find_package(dbusmenu-qt5 REQUIRED)

set(HEADERS
    statusnotifier.h
    dbustypes.h
    statusnotifierbutton.h
    statusnotifieriteminterface.h
    statusnotifierwatcher.h
    statusnotifierwidget.h
    sniasync.h
)

set(SOURCES
    statusnotifier.cpp
    dbustypes.cpp
    statusnotifierbutton.cpp
    statusnotifieriteminterface.cpp
    statusnotifierwatcher.cpp
    statusnotifierwidget.cpp
    sniasync.cpp
)

qt5_add_dbus_adaptor(DBUS_SOURCES
    org.kde.StatusNotifierItem.xml
    statusnotifieriteminterface.h
    StatusNotifierItemInterface
)

set_source_files_properties(${DBUS_SOURCES} PROPERTIES SKIP_AUTOGEN ON)

list(APPEND SOURCES "${DBUS_SOURCES}")

set(LIBRARIES
    dbusmenu-qt5
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== plugin-tray/CMakeLists.txt ===
set(PLUGIN "tray")

include(CheckLibraryExists)

find_package(XCB REQUIRED COMPONENTS xcb xcb-util xcb-damage)
find_package(PkgConfig)

find_package(X11 REQUIRED)
pkg_check_modules(XCOMPOSITE REQUIRED xcomposite)
pkg_check_modules(XDAMAGE REQUIRED xdamage)
pkg_check_modules(XRENDER REQUIRED xrender)

set(HEADERS
    lxqttrayplugin.h
    lxqttray.h
    trayicon.h
    xfitman.h
)

set(SOURCES
    lxqttrayplugin.cpp
    lxqttray.cpp
    trayicon.cpp
    xfitman.cpp
)

set(LIBRARIES
    ${X11_LIBRARIES}
    ${XCOMPOSITE_LDFLAGS}
    ${XDAMAGE_LIBRARIES}
    ${XRENDER_LIBRARIES}
    ${XCB_LIBRARIES}
)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (0.14.1-1ubuntu3) focal; urgency=medium

  * Updated rules to match debian unstable
  * Updated copyright.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sun, 16 Feb 2020 00:58:19 +0530

lxqt-panel (0.14.1-1ubuntu2) focal; urgency=medium

  * Correct merge from Ubuntu Merge-oMatic
  * Bumped minimum requirements in control file
  * Copyright updates.
  * Updated debian/watch to point to correct source.
  * Updated debian/upstream/metadata
  * using debhelper-compat instead of debhelper and d/compat

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sun, 09 Feb 2020 11:29:09 +0530

lxqt-panel (0.14.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Updated control file to include new deps.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Fri, 07 Feb 2020 22:20:45 +0530

lxqt-panel (0.14.1-1) unstable; urgency=medium

  * Cherry-picking new upstream version 0.14.1.
  * Bumped minimum versions:
    - liblxqt0-dev (>= 0.14.1~)
    - liblxqt-globalkeys0-dev (>= 0.14.1~)
    - liblxqt-globalkeys-ui0-dev (>= 0.14.1~)

 -- Alf Gaida <agaida@siduction.org>  Tue, 26 Feb 2019 03:28:17 +0100

lxqt-panel (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 13:27:32 -0600

lxqt-panel (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
    - Remove reverse-applicable patches.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.
  * Add a new lxqt-panel-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 01:19:25 -0600

lxqt-panel (0.13.0-0ubuntu5) cosmic; urgency=medium

  * Add optional overriding of icon theme.
  * Run wrap-and-sort.

 -- Walter Lapchynski <wxl@ubuntu.com>  Tue, 21 Aug 2018 23:37:22 -0700

lxqt-panel (0.13.0-0ubuntu4) cosmic; urgency=medium

  * Change the Uploaders to Ubuntu uploaders.
  * Update Standards-version to 4.2.0, no changes needed.
  * Add an autoexpansion feature to the spacer plugin.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 16 Aug 2018 16:17:17 -0500

lxqt-panel (0.13.0-0ubuntu3) cosmic; urgency=medium

  * Add a DEP-3 header for the patch completely removing the clock plugin.
  * Don't auto-unmute the volume when it's changed.
  * Bump Standards-version to 4.1.5, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 16 Jul 2018 21:58:19 -0500

lxqt-panel (0.13.0-0ubuntu2) cosmic; urgency=medium

  * Completely remove plugin-clock.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 24 May 2018 22:51:05 -0500

lxqt-panel (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Update copyright.
  * Remove patches applied upstream.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 May 2018 22:38:37 -0500

lxqt-panel (0.12.0-9ubuntu1) cosmic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Cherry-pick some upstream commits:
      + Fix wrongly positioned popups (LP: #1527013).
        * fix-wrongly-positioned-popups.patch
        * Upstream commit 7391172.
      + plugin-volume: Use a specific icon for the panel.
        * use-specific-panel-icon.patch
        * Upstream commit eaa65e5.
      + Fix various memory leaks.
        * fix-memory-leaks.patch
        * mainmenu: Fix possible leaks in menu-cache usage.
          - Upstream commit 04630d4.
        * mount: Fix leak by correctly assigning the QObject parent.
          - Upstream commit d1bd23f.
        * taskbar: Avoid conditionals on unintialized values by proper
          initialization of data members
          - Upstream commit 1cb5778.
      + Avoid infinite recursion when no icon is available.
        * avoid-infinite-recursion-icons.patch
        * Upstream commit b9b4133.
      + Add Move and Resize items in the task-button context menu.
        * add-move-resize-items.patch
        * Upstream commit b69fe72.
      + Set the initial task button text (and icon) correctly.
        * set-initial-task-button-correctly.patch
        * Upstream commit 563d6bf.
  * Change the Vcs entries to be Lubuntu-specific.
  * Fix typo in the patch description of fix-memory-leaks.patch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 00:43:10 -0500

=== debian/control ===
Source: lxqt-panel
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               liblxqt0-dev (>= 0.14.1~),
               liblxqt-globalkeys0-dev (>= 0.14.1~),
               liblxqt-globalkeys-ui0-dev (>= 0.14.1~),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.2~),
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev
Standards-Version: 4.3.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-panel/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-panel.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: lxmenu-data, lxqt-policykit, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contains the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-panel (<< 0.11.0)
Replaces: lxqt-panel (<< 0.11.0)
Description: Language package for lxqt-panel
 This package contains the l10n files needed by lxqt-panel.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 %:
 	dh ${@} --buildsystem cmake
 
+override_dh_missing:
+	dh_missing --fail-missing
+
 override_dh_auto_configure:
 	dh_auto_configure --\
 		-DPULL_TRANSLATIONS=OFF \
@@ -25,6 +28,3 @@
 		-DDOM_PLUGIN=YES \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(NOT_LINUX)
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/lxqt/lxqt-panel/releases .*/lxqt-panel-([\d\.]+).tar.xz

## lxqt-panel 0.14.1.1+rb2

=== plugin-mainmenu/CMakeLists.txt ===
set(PLUGIN "mainmenu")

set(HEADERS
    actionview.h
    lxqtmainmenu.h
    menustyle.h
    lxqtmainmenuconfiguration.h
)

set(SOURCES
    actionview.cpp
    lxqtmainmenu.cpp
    menustyle.cpp
    lxqtmainmenuconfiguration.cpp
)

set(UIS
    lxqtmainmenuconfiguration.ui
)


# optionally use libmenu-cache to generate the application menu
if(USE_MENU_CACHE)
    find_package(MenuCache "0.3.3")
endif()

set(LIBRARIES
    lxqt
    lxqt-globalkeys
    lxqt-globalkeys-ui
)

if(MENUCACHE_FOUND)
    list(APPEND SOURCES xdgcachedmenu.cpp)
    list(APPEND MOCS xdgcachedmenu.h)

    include_directories(${MENUCACHE_INCLUDE_DIRS})
    list(APPEND LIBRARIES ${MENUCACHE_LIBRARIES})
    add_definitions(-DHAVE_MENU_CACHE=1)

endif()


set(QT_USE_QTXML 1)
set(QT_USE_QTDBUS 1)

BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (0.14.1.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>  Thu, 28 Jan 2021 15:17:39 +0800

=== debian/control ===
Source: lxqt-panel
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libicu-dev,
               libkf5windowsystem-dev,
               libkf5solid-dev,
               liblxqt0-dev (>= 0.14.1~),
               liblxqt-globalkeys0-dev (>= 0.14.1~),
               liblxqt-globalkeys-ui0-dev (>= 0.14.1~),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.2~),
               libx11-dev,
               libxcomposite-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcb-damage0-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lxmenu-data,
         lxqt-policykit
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contain the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: lxqt-panel (<< 0.11.0)
Replaces: lxqt-panel (<< 0.11.0)
Description: Language package for lxqt-panel
 This package contains the l10n files needed by the lxqt-panel.

## lxqt-panel 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,9 +29,10 @@
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTORCC ON)
 
-set(REQUIRED_QT_VERSION "5.7.1")
+set(REQUIRED_QT_VERSION "5.10")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.14.1")
+set(LXQT_GLOBALKEYS_MINIMUM_VERSION "0.15.0")
+set(LXQT_MINIMUM_VERSION "0.15.0")
 
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(Qt5LinguistTools ${REQUIRED_QT_VERSION} REQUIRED)
@@ -40,11 +41,10 @@
 find_package(Qt5Xml ${REQUIRED_QT_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
-find_package(lxqt-globalkeys ${LXQT_MINIMUM_VERSION} REQUIRED)
-find_package(lxqt-globalkeys-ui ${LXQT_MINIMUM_VERSION} REQUIRED)
+find_package(lxqt-globalkeys-ui ${LXQT_GLOBALKEYS_MINIMUM_VERSION} REQUIRED)
 
 # Patch Version
-set(LXQT_PANEL_PATCH_VERSION 1)
+set(LXQT_PANEL_PATCH_VERSION 0)
 set(LXQT_PANEL_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PANEL_PATCH_VERSION})
 add_definitions("-DLXQT_PANEL_VERSION=\"${LXQT_PANEL_VERSION}\"")
 
@@ -248,6 +248,12 @@
     add_subdirectory(plugin-spacer)
 endif()
 
+setByDefault(BACKLIGHT_PLUGIN Yes)
+if(BACKLIGHT_PLUGIN)
+    list(APPEND ENABLED_PLUGINS "Backlight")
+    add_subdirectory(plugin-backlight)
+endif()
+
 #########################################################################
 
 message(STATUS  "**************** The following plugins will be built ****************")

=== plugin-statusnotifier/CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 
 find_package(dbusmenu-qt5 REQUIRED)
+find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Concurrent)
 
 set(HEADERS
     statusnotifier.h
@@ -35,6 +36,7 @@
 
 set(LIBRARIES
     dbusmenu-qt5
+    Qt5::Concurrent
 )
 
 BUILD_LXQT_PLUGIN(${PLUGIN})

=== debian/changelog ===
lxqt-panel (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Update upstream signing key.
    - Update LXQt build depends.
  * Bump Standards-version to 4.5.0, no changes needed.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 04 Jun 2020 14:30:49 -0500

=== debian/control ===
Source: lxqt-panel
Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Simon Quigley <tsimonq2@ubuntu.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libasound2-dev,
               libdbusmenu-qt5-dev,
               libglib2.0-dev,
               libicu-dev,
               libkf5solid-dev,
               libkf5windowsystem-dev,
               liblxqt-globalkeys-ui0-dev (>= 0.15.0),
               liblxqt-globalkeys0-dev (>= 0.15.0),
               liblxqt0-dev (>= 0.15.0),
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libsensors4-dev [!hurd-any],
               libstatgrab-dev [linux-any],
               libsysstat-qt5-0-dev (>= 0.4.3),
               libx11-dev,
               libxcb-damage0-dev,
               libxcb-util0-dev,
               libxcb-xkb-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               libxrender-dev
Standards-Version: 4.5.0
Vcs-Browser: https://phab.lubuntu.me/source/lxqt-panel/
Vcs-Git: https://phab.lubuntu.me/source/lxqt-panel.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-panel
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-panel.git
Homepage: https://github.com/lxqt/lxqt-panel

Package: lxqt-panel
Architecture: any
Depends: lxmenu-data, lxqt-policykit, ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-about,
            lxqt-config,
            lxqt-notificationd,
            lxqt-panel-l10n,
            lxqt-qtplugin,
            lxqt-runner,
            lxqt-session,
            pavucontrol-qt | pavucontrol,
            qlipper
Suggests: lxqt | lxqt-core
Breaks: lxqt-common (<< 0.12.0)
Replaces: lxqt-common (<< 0.12.0)
Description: LXQt desktop panel
 The LXQt desktop panel
 .
 This package contains the LXQt panel.

Package: lxqt-panel-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: lxqt-panel (<< 0.11.0)
Replaces: lxqt-panel (<< 0.11.0)
Description: Language package for lxqt-panel
 This package contains the l10n files needed by lxqt-panel.
